const routerList = [
  {
    name: "离职交接流程",
    type: "LZJJ",
    toRouter: "/interest/handoverDetail",
    to: "id",
  },
  {
    name: "调拨流程",
    type: "DBD",
    toRouter: "/stock/allotDetail",
    to: "id",
  },
  {
    name: "盘点流程",
    type: "PDD",
    toRouter: "/stock/checkDetail",
    to: "id",
  },


  //采购

  {
    name: "采购单流程",
    type: "CGD",
    toRouter: "/purchaseIn/purchaseOrderDetail",
    to: "code",
  },
  {
    name: "入库单流程",
    type: "RKD",
    toRouter: "/purchaseIn/wsmInOrderDetail",
    to: "code",
  },
  {
    name: "采购单退货流程",
    type: "CGTHD",
    toRouter: "/purchaseIn/purchaseReturnDetail",
    to: "code",
  },
  {
    name: "采购工差单流程",
    type: "CGGCD",
    toRouter: "/purchaseIn/purchaseDiffOrderDetail",
    to: "id",
  },
  //销售订单
  {
    name: "备库申请流程",
    type: "BHD",
    toRouter: "/sellOut/stockApplyDetail",
    to: "id",
  },
  {
    name: "销售订单流程",
    type: "XSQRD",
    toRouter: "/sellOut/salesOrderDetail",
    to: "id",
  },
  {
    name: "发货申请单流程",
    type: "CKD",
    toRouter: "/sellOut/sellOutOrderDetail",
    to: "code",
  },
  {
    name: "项目流程",
    type: "PRO",
    toRouter: "/sellOut/projectDetail",
    to: "code",
  },
  {
    name: "咨询单流程",
    type: "ZXD",
    toRouter: "sellOut/zixunOrderDetail",
    to: "code",
  },
  {
    name: "议价单流程",
    type: "YJD",
    toRouter: "/sellOut/bargainListDetail",
    to: "code",
  },
  {
    name: "售后申请单流程",
    type: "SHD",
    toRouter: "/sellOut/sellAfterApplyDetail",
    to: "code",
  },

  {
    name: "售后退货单流程",
    type: "CKTHD",
    toRouter: "/sellOut/returnOrderDetail",
    to: "code",
  },
  {
    name: "销售退货流程",
    type: "QRTHD",
    toRouter: "/sellOut/sellReturnDetail",
    to: "code",
  },
  // //咨询订单
  // {
  //   name: "咨询订单流程",
  //   type: "ZXQRD",
  //   toRouter: "/sellOut/zxOrderDetail",
  //   to: "id",
  // },
  // {
  //   name: "咨询发货申请单流程",
  //   type: "ZXCKD",
  //   toRouter: "/sellOut/zxoutOrderDetail",
  //   to: "code",
  // },
  // {
  //   name: "咨询售后申请单流程",
  //   type: "ZXSHD",
  //   toRouter: "/sellOut/zxAfterSaleDetail",
  //   to: "code",
  // },

  // {
  //   name: "咨询售后退货单流程",
  //   type: "ZXCKTHD",
  //   toRouter: "/sellOut/zxAfterSaleOrderDetail",
  //   to: "code",
  // },
  // {
  //   name: "咨询退货单流程",
  //   type: "ZXTHD",
  //   toRouter: "/sellOut/zxReturnDetail",
  //   to: "code",
  // },
  {
    name: "咨询工差单流程",
    type: "ZXGCD",
    toRouter: "/sellOut/zxDiffOrderDetail",
    to: "id",
  },
];
const columns = [
  {
    prop: "order_code",
    label: "业务编号",
  },
  {
    prop: "process_name",
    label: "流程名称",
    // sortable: true,
  },
  {
    prop: "apply_name",
    label: "申请人",
  },

  {
    prop: "action_name",
    label: "操作人",
  },
  {
    prop: "addtime",
    label: "申请时间",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: "50",
  }
]
export { routerList, columns }